/* Copyright (C) 1996-1999 PLUS Group - University of Maryland

   This software is provided under the terms of the GNU General Public
   License Version 2, June 1991. See the file License.html for details.
   */

package  parka;

/* **************************************************
   Class is the ancestor window for any windows that use the ParkaNet
   class to communicate with the Parka server
   ************************************************** */

public class  ParkaWin  extends java.awt.Frame
{
    /* if any graphics exist, override this method to draw them
    */
    void  redrawGraphics() {};

    /* if any action causing the currently open KB to close also
       requires reinitialization in the application window, override
       this method
    */
    void  reinitAppWin()
    {/* TEST  */
	System.out.println ("In ParkaWin.reinitAppWin()");
    }

    /* displays messages to user, usually error or status messages;
       reinitialize state with this one, if needed
    */
    public void displayMessage (String msg)
    {
        System.out.println (msg);
    }

    /* displays messages to user, usually error or status messages;
       keep current state with this one, rather than reinitializing
    */
    public void displayMessageKS (String msg)
    {
        System.out.println (msg);
    }
}
